package p13_pliki.podstawy;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Locale;
import java.util.Scanner;

public class Odczyt2_Scanner_Liczby_itp2 {

	public static void main(String[] args) {
		System.out.println("Startujemy");
		try(Scanner sc = new Scanner(new File("plik.txt"))) {
			sc.useLocale(Locale.US);
			// czytanie pojedynczego słowa:
			String slowo = sc.next();
			System.out.println("Pierwsze słowo: " + slowo);
			slowo = sc.next();
			System.out.println("Drugie słowo: " + slowo);
			slowo = sc.next();
			System.out.println("Trzecie słowo: " + slowo);
			slowo = sc.next();
			System.out.println("Czwarte słowo: " + slowo);
			// Jeśli będąc w środku linii wykonamy nextLine, to wczyta nam się pozostała część tej linii
			String linia = sc.nextLine();
			System.out.println("linia: " + linia);
			
			int x = sc.nextInt();
			System.out.println("int: " + x);
			
			if(sc.hasNextDouble()) {
				double y = sc.nextDouble();
				System.out.println("double: " + y);
			} else {
				System.out.println("Nie ma następnego doubla");
			}
			
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		System.out.println("Gotowe");
	}

}
